## org.deepin.browser 5.3.0.47

=== debian/changelog ===
org.deepin.browser (5.3.0.47-1) unstable; urgency=medium

  * update

 -- Deepin Browser <browser@deepin.com>  Mon, 22 Mar 2021 14:30:24 +0800
