=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
          enable_vr=false \
          enable_nacl=false \
          enable_nacl_nonsfi=false \
-         enable_swiftshader=false \
+         enable_swiftshader=true \
          enable_reading_list=false \
          enable_one_click_signin=false \
          enable_iterator_debugging=false \
@@ -86,7 +86,7 @@
 defines+=use_gio=true \
          use_pulseaudio=true \
          link_pulseaudio=true \
-         enable_widevine=true \
+         enable_widevine=false \
          v8_enable_backtrace=true \
          use_system_zlib=false \
          use_system_lcms2=true \
