## org.deepin.browser 5.4.3

=== debian/changelog ===
org.deepin.browser (5.4.3-1) unstable; urgency=medium

  * update

 -- Deepin Browser <browser@deepin.com>  Fri, 27 Aug 2021 14:45:33 +0800

org.deepin.browser (5.4.3) unstable; urgency=medium

  * Init with chromium-83.0.4103.116-1~deb10u2

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 03 Jul 2020 22:31:38 -0400
