=== debian/control ===
--- 
+++ 
@@ -52,12 +52,12 @@
  libexif-dev,
  libflac-dev,
  libudev-dev,
- libopus-dev,
- libwebp-dev,
+ libopus-dev, 
  libxtst-dev,
  libjpeg-dev,
  libxml2-dev,
  libgtk-3-dev,
+ libgtk2.0-dev,
  libxslt1-dev,
  liblcms2-dev,
  libpulse-dev,
@@ -85,9 +85,9 @@
  libgcrypt20-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
- qt5-default,
- libdtkwidget-dev,
- libdframeworkdbus-dev
+ libdbus-1-dev,
+ libx11-xcb-dev,
+ libxcb-dri3-dev
 
 Package: org.deepin.browser
 Architecture: any
@@ -115,3 +115,8 @@
 Description: org.deepin.browser
  A fast web browser with simple interface.
 
+Package: org.deepin.browserdriver
+Architecture: any
+Depends: org.deepin.browser,
+Description: org.deepin.browserdriver
+ A standalone server that implements the W3C WebDriver standard.
