=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,14 @@
 # compile with clang (gcc is currently not supported)
 export AR=ar
 export NM=nm
+
+ifeq (mips64el,$(DEB_HOST_ARCH))
+export CC=clang --target=mips64el-linux-gnu
+export CXX=clang++ --target=mips64el-linux-gnu
+else
 export CC=clang
 export CXX=clang++
+endif
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
@@ -52,8 +58,6 @@
 defines+=host_cpu=\"arm\" arm_use_neon=false symbol_level=0
 endif
 ifeq (mips64el,$(DEB_HOST_ARCH))
-#去除strip裁剪，先让debian打包通过，后续更改
-export DEB_BUILD_OPTIONS+=nostrip
 defines+=host_cpu=\"mips64el\" mips_arch_variant=\"loongson3\"
 endif
 
@@ -77,7 +81,7 @@
          enable_one_click_signin=false \
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
-         optimize_webui=false \
+         optimize_webui=true \
          closure_compile=false \
          blink_symbol_level=0 \
          treat_warnings_as_errors=false \
@@ -89,8 +93,8 @@
          enable_widevine=false \
          v8_enable_backtrace=true \
          use_system_zlib=false \
-         use_system_lcms2=true \
-         use_system_libjpeg=true \
+         use_system_lcms2=false \
+         use_system_libjpeg=false \
          use_system_freetype=true \
          use_system_harfbuzz=true \
          use_system_libopenjpeg2=true \
@@ -115,19 +119,24 @@
 	# output compiler information
 	$(CXX) --version
 	# prefer unbundled (system) libraries
-	qmake ./debian/source/password_auth && make
 	./debian/scripts/unbundle
 
 override_dh_auto_build-arch: out/Release/gn
 	./out/Release/gn gen out/Release --args="$(defines)"
-	ninja -j$(njobs) -C out/Release chrome chrome_sandbox chromedriver
+	ninja -j$(njobs) -C out/Release chrome chrome_sandbox chromedriver minidump_stackwalk dump_syms crashpad_handler
 	cp out/Release/chrome out/Release/browser
+	cp out/Release/chromedriver out/Release/browserdriver
+	./components/crash/content/tools/generate_breakpad_symbols.py --build-dir="out/Release" \
+                                                                      --symbols-dir="out/Release/sym" \
+                                                                      --binary="out/Release/browser" --clear --verbose
 	#cp out/Release/content_shell out/Release/browser-shell
 	cp out/Release/chrome_sandbox out/Release/browser-sandbox
 	cp out/Release/locales/en-US.pak out/Release/resources
 	chmod 4755 out/Release/browser-sandbox # suid sandbox
 	sed -e s/@@PACKAGE@@/browser/g -e s/@@MENUNAME@@/browser/g \
 	    < chrome/app/resources/manpage.1.in > out/Release/browser.1
+
+override_dh_installdeb:
 
 override_dh_auto_build-indep: out/Release/gn
 	./out/Release/gn gen out/Release --args="$(defines)"
